Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Question on new firmware update

Discussion in 'Inspire 1 Discussion' started by Martycox51, Sep 7, 2015.

  1. Martycox51

    Joined:
    May 13, 2014
    Messages:
    59
    Likes Received:
    8
    I just completed the 1.4 firmware update on my Inspire 1. It showed that it successfully updated my machine, however, when I tried to update my controller, it wouldn't allow me to do it online, so I put the update on a flash drive and tried to update it. It didn't update and gave a text message that said: Abort The firmware on the SD card is identical to or older than the current firmware on the remote controller. Does this mean that the controller was already updated? Note: I have the current DJI Go App.

    Does anyone have an idea about whether or not It's safe to fly? I appreciate feedback from experienced users!
     
  2. msinger

    Joined:
    Oct 30, 2014
    Messages:
    202
    Likes Received:
    94
    The 1.4 firmware update does not need to be installed on the remote controller. That's noted in the firmware release notes. And, the TXT file is telling you there is nothing to update. So, go fly :)
     
    Rainbowers likes this.
  3. Martycox51

    Joined:
    May 13, 2014
    Messages:
    59
    Likes Received:
    8
    I thought that was what the TXT file was telling me, but when I go to my app and get ready to fly, the Overall Status section t says that the RC requires upgrade. Everything else seems normal, but it bothers me. I shut it down and went through the complete start up process three or four times and it gave me this warning each time. Should I be concerned?
     
  4. msinger

    Joined:
    Oct 30, 2014
    Messages:
    202
    Likes Received:
    94
    I sometimes see that message if I start the DJI GO app too soon. Try starting the DJI GO app about 30 seconds after you start your Inspire. That seems to do the trick for me usually (not sure why).
     
  5. Martycox51

    Joined:
    May 13, 2014
    Messages:
    59
    Likes Received:
    8
    Thanks for the tip! I will try it out.
     
  6. StillsAndVideo

    Joined:
    Apr 23, 2015
    Messages:
    15
    Likes Received:
    0
     
  7. StillsAndVideo

    Joined:
    Apr 23, 2015
    Messages:
    15
    Likes Received:
    0
    I'm having the same problem. Updated the Inspire 1 fine but RC would not update and I get no txt message to confirm it isn't needed nor it failed. I've tried through the app (latest version), USB Stick and a cable to the camera but none will invoke the update. Every time I start up the app, I get the message in the Overall Status section that says that the RC requires upgrade. Don't want to fly with the message as I already had a crash once before due to an early update.
     
  8. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    578
    Location:
    Buckie, Scotland, UK
    DJI has belatedly added a banner to their download page advising that the aircraft and RCs should be updated to 1.3.0.0 first if you have not previously done so. The RC must be at 1.3.0.0 standard to work with the new 1.4.0.10.